Bug 57793 - an exception
an exception
Status: RESOLVED WONTFIX
Product: third-party
Classification: Unclassified
Component: -- Other --
3.x
PC Windows XP
: P1 (vote)
: 5.x
Assigned To: issues@third-party
issues@third-party
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-12 21:24 UTC by pryzm
Modified: 2006-10-27 14:13 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pryzm 2005-04-12 21:24:45 UTC
the error message told me to attach the ide.log
-------------------------------------------------------------------------------
>Log Session: Tuesday, April 12, 2005 4:08:39 PM EDT
>System Info: 
  Product Version       = NetBeans IDE 3.6 (Build 200404071636)
  Operating System      = Windows XP version 5.1 running on x86
  Java; VM; Vendor      = 1.4.2_05; Java HotSpot(TM) Client VM 1.4.2_05-b04; Sun
Microsystems Inc.
  Java Home             = C:\j2sdk1.4.2_05\jre
  System Locale; Encod. = en_US; Cp1252
  Home Dir; Current Dir = C:\Documents and Settings\Administrator;
c:\basisbbj5\ide\bin
  IDE Install; User Dir = C:\basisbbj5\ide; C:\basisbbj5\ide\defaultuser
  CLASSPATH             =
c:\basisbbj5/lib/CustomIDE.jar;C:\basisbbj5\ide\lib\ext\boot.jar;C:\j2sdk1.4.2_05\lib\dt.jar;C:\j2sdk1.4.2_05\lib\tools.jar
  Boot & ext classpath  =
C:\j2sdk1.4.2_05\jre\lib\rt.jar;C:\j2sdk1.4.2_05\jre\lib\i18n.jar;C:\j2sdk1.4.2_05\jre\lib\sunrsasign.jar;C:\j2sdk1.4.2_05\jre\lib\jsse.jar;C:\j2sdk1.4.2_05\jre\lib\jce.jar;C:\j2sdk1.4.2_05\jre\lib\charsets.jar;C:\j2sdk1.4.2_05\jre\classes;C:\j2sdk1.4.2_05\jre\lib\ext\dnsns.jar;C:\j2sdk1.4.2_05\jre\lib\ext\ldapsec.jar;C:\j2sdk1.4.2_05\jre\lib\ext\localedata.jar;C:\j2sdk1.4.2_05\jre\lib\ext\sunjce_provider.jar
  Dynamic classpath     =
C:\basisbbj5\ide\lib\core.jar;C:\basisbbj5\ide\lib\openfile-cli.jar;C:\basisbbj5\ide\lib\openide-loaders.jar;C:\basisbbj5\ide\lib\openide.jar;C:\basisbbj5\ide\lib\skinlf.jar
-------------------------------------------------------------------------------
[org.netbeans.core.modules #4] Warning - had to upgrade dependencies for module
com.basis.nb.base: added = [module org.openide.src > 1.0, module
org.openide.debugger > 1.0, token org.openide.compiler.CompilationEngine, module
org.openide.compiler > 1.0, token org.openide.TopManager, module
org.openide.execution > 1.0, token org.openide.windows.IOProvider, token
org.netbeans.api.javahelp.Help, module org.openide.deprecated > 1.0, token
org.openide.execution.ExecutionEngine, module org.openide.io > 1.0] removed =
[]; details: [API separation phase I (#19443):
http://www.netbeans.org/download/dev/javadoc/OpenAPIs/org/openide/doc-files/upgrade.html#3.5i-sep-I,
API separation phase II (#19443):
http://www.netbeans.org/download/dev/javadoc/OpenAPIs/org/openide/doc-files/upgrade.html#3.5i-sep-II,
Debugger API separation (#29914):
http://www.netbeans.org/download/dev/javadoc/OpenAPIs/org/openide/doc-files/upgrade.html#3.5i-sep-III,
JavaHelp was moved into a module:
http://www.netbeans.org/download/dev/javadoc/OpenAPIs/org/openide/doc-files/upgrade.html#3.4-require-javahelp]
[org.netbeans.core.modules #4] WARNING: Class-Path value ../../../lib/BBj.jar
from C:\basisbbj5\ide\defaultuser\modules\BaseModule.jar is illegal according to
the Java Extension Mechanism: must be relative and not move up directories
[org.netbeans.core.modules #4] WARNING: Class-Path value ../../../lib/BBjEM.jar
from C:\basisbbj5\ide\defaultuser\modules\BaseModule.jar is illegal according to
the Java Extension Mechanism: must be relative and not move up directories
[org.netbeans.core.modules #4] WARNING: Class-Path value
../../../lib/BBjFilesystem.jar from
C:\basisbbj5\ide\defaultuser\modules\BaseModule.jar is illegal according to the
Java Extension Mechanism: must be relative and not move up directories
[org.netbeans.core.modules #4] WARNING: Class-Path value
../../../lib/BBjJDBC.jar from
C:\basisbbj5\ide\defaultuser\modules\BaseModule.jar is illegal according to the
Java Extension Mechanism: must be relative and not move up directories
[org.netbeans.core.modules #4] WARNING: Class-Path value
../../../lib/BBjPortID.jar from
C:\basisbbj5\ide\defaultuser\modules\BaseModule.jar is illegal according to the
Java Extension Mechanism: must be relative and not move up directories
[org.netbeans.core.modules #4] WARNING: Class-Path value
../../../lib/BBjServer.jar from
C:\basisbbj5\ide\defaultuser\modules\BaseModule.jar is illegal according to the
Java Extension Mechanism: must be relative and not move up directories
[org.netbeans.core.modules #4] WARNING: Class-Path value ../../../lib/BBjSql.jar
from C:\basisbbj5\ide\defaultuser\modules\BaseModule.jar is illegal according to
the Java Extension Mechanism: must be relative and not move up directories
[org.netbeans.core.modules #4] WARNING: Class-Path value
../../../lib/BBjThinClient.jar from
C:\basisbbj5\ide\defaultuser\modules\BaseModule.jar is illegal according to the
Java Extension Mechanism: must be relative and not move up directories
[org.netbeans.core.modules #4] WARNING: Class-Path value
../../../lib/BBjUtil.jar from
C:\basisbbj5\ide\defaultuser\modules\BaseModule.jar is illegal according to the
Java Extension Mechanism: must be relative and not move up directories
[org.netbeans.core.modules #4] WARNING: Class-Path value ../../../lib/BBjXML.jar
from C:\basisbbj5\ide\defaultuser\modules\BaseModule.jar is illegal according to
the Java Extension Mechanism: must be relative and not move up directories
[org.netbeans.core.modules #4] WARNING: Class-Path value
../../../lib/ThirdParty.jar from
C:\basisbbj5\ide\defaultuser\modules\BaseModule.jar is illegal according to the
Java Extension Mechanism: must be relative and not move up directories
[org.netbeans.core.modules #4] Warning - had to upgrade dependencies for module
com.basis.nb.gb: added = [module org.openide.src > 1.0, module
org.openide.debugger > 1.0, token org.openide.compiler.CompilationEngine, module
org.openide.compiler > 1.0, token org.openide.TopManager, module
org.openide.execution > 1.0, token org.openide.windows.IOProvider, token
org.netbeans.api.javahelp.Help, module org.openide.deprecated > 1.0, token
org.openide.execution.ExecutionEngine, module org.openide.io > 1.0] removed =
[]; details: [API separation phase I (#19443):
http://www.netbeans.org/download/dev/javadoc/OpenAPIs/org/openide/doc-files/upgrade.html#3.5i-sep-I,
API separation phase II (#19443):
http://www.netbeans.org/download/dev/javadoc/OpenAPIs/org/openide/doc-files/upgrade.html#3.5i-sep-II,
Debugger API separation (#29914):
http://www.netbeans.org/download/dev/javadoc/OpenAPIs/org/openide/doc-files/upgrade.html#3.5i-sep-III,
JavaHelp was moved into a module:
http://www.netbeans.org/download/dev/javadoc/OpenAPIs/org/openide/doc-files/upgrade.html#3.4-require-javahelp]
[org.netbeans.core.modules #4] Warning - had to upgrade dependencies for module
com.basis.nb.bbj: added = [token org.openide.compiler.CompilationEngine, token
org.openide.TopManager, token org.openide.windows.IOProvider, token
org.netbeans.api.javahelp.Help, module org.openide.deprecated > 1.0, token
org.openide.execution.ExecutionEngine] removed = []; details: [API separation
phase I (#19443):
http://www.netbeans.org/download/dev/javadoc/OpenAPIs/org/openide/doc-files/upgrade.html#3.5i-sep-I,
API separation phase II (#19443):
http://www.netbeans.org/download/dev/javadoc/OpenAPIs/org/openide/doc-files/upgrade.html#3.5i-sep-II,
JavaHelp was moved into a module:
http://www.netbeans.org/download/dev/javadoc/OpenAPIs/org/openide/doc-files/upgrade.html#3.4-require-javahelp]
[org.netbeans.core.modules #4] Warning - had to upgrade dependencies for module
FormBuilder: added = [module org.openide.src > 1.0, module org.openide.debugger
> 1.0, token org.openide.compiler.CompilationEngine, module org.openide.compiler
> 1.0, token org.openide.TopManager, module org.openide.execution > 1.0, token
org.openide.windows.IOProvider, token org.netbeans.api.javahelp.Help, module
org.openide.deprecated > 1.0, token org.openide.execution.ExecutionEngine,
module org.openide.io > 1.0] removed = []; details: [API separation phase I
(#19443):
http://www.netbeans.org/download/dev/javadoc/OpenAPIs/org/openide/doc-files/upgrade.html#3.5i-sep-I,
API separation phase II (#19443):
http://www.netbeans.org/download/dev/javadoc/OpenAPIs/org/openide/doc-files/upgrade.html#3.5i-sep-II,
Debugger API separation (#29914):
http://www.netbeans.org/download/dev/javadoc/OpenAPIs/org/openide/doc-files/upgrade.html#3.5i-sep-III,
JavaHelp was moved into a module:
http://www.netbeans.org/download/dev/javadoc/OpenAPIs/org/openide/doc-files/upgrade.html#3.4-require-javahelp]
New modules:
	com.basis.nb.gb [0.5 0.5]
	com.basis.nb.datadictionary/1 [0.5 0.5]
	FormBuilder [0.2 0.2]
	com.basis.nb.base/1 [0.5 0.5]
	com.basis.nb.bbj/1 [0.5 0.5]
[org.netbeans.core.modules #6] Warning: the module org.netbeans.modules.projects
uses org.openide.deprecated which is deprecated: Clients of obsoleted Open APIs
are encouraged to remove this dependency. See
http://www.netbeans.org/download/dev/javadoc/OpenAPIs/org/openide/doc-files/upgrade.html#3.5i-sep-I
Turning on modules:
	org.openide/1 [4.26.1 200404071636]
	org.netbeans.libs.xalan/1 [1.4.1 2.5.2]
	org.netbeans.libs.jaxp/1 [1.2.1 1.1.2]
	org.netbeans.api.xml/1 [1.3.1.3.6.0 3.6.0 200404071636]
	org.openide.io [1.1.1 200404071636]
	org.openide.execution [1.1.1 200404071636]
	org.openide.loaders [4.11.1 200404071636]
	org.netbeans.core/1 [1.21.1 200404071636]
	org.netbeans.lib.terminalemulator [1.1.1 200404071636]
	org.netbeans.core.output/1 [1.1.1 200404071636]
	org.netbeans.modules.xml.core/2 [1.1.1.3.6.0 3.6.0 200404071636]
	org.netbeans.modules.xml.schema/1 [1.1.1.3.6.0 3.6.0 200404071636]
	org.openide.src [1.1.1 200404071636]
	org.netbeans.modules.javahelp/1 [2.1.1 200404071636]
	org.netbeans.core.execution/1 [1.3.1 200404071636]
	org.netbeans.modules.classfile/1 [1.8 200404071636]
	org.openide.compiler [1.2.1 200404071636]
	org.netbeans.core.compiler/1 [1.4.1 200404071636]
	org.openide.debugger [1.1.1 200404071636]
	org.netbeans.api.java/1 [1.3.1 200404071636]
	org.netbeans.modules.java/1 [1.16.1 200404071636]
	org.netbeans.modules.javadoc/1 [1.11.1 200404071636]
	org.netbeans.modules.j2eeapis/1 [1.0.1 200404071636]
	org.netbeans.modules.settings/1 [1.4.1 200404071636]
	org.netbeans.modules.schema2beans/1 [1.7.1 200404071636]
	org.netbeans.modules.debugger.core/3 [2.10.1 200404071636]
	org.netbeans.libs.j2eeeditor/1 [1.1.1 200404071636]
	org.netbeans.modules.j2eeserver/3 [1.1.1 200404071636]
	org.netbeans.modules.debugger.jpda/1 [1.17.1 200404071636]
	org.netbeans.api.web.dd/1 [1.1.1 1.0 200404071636]
	org.netbeans.libs.xerces/1 [1.4.1 2.6.0]
	org.netbeans.modules.tomcat5/1 [1.0.1 200404071636]
	org.netbeans.modules.tomcat5.bundled/1 [1.0.1 200404071636]
	org.netbeans.modules.form/2 [1.13.1 200404071636]
	org.netbeans.modules.properties/1 [1.11.1 200404071636]
	org.netbeans.modules.i18n/1 [1.14.1 200404071636]
	org.netbeans.modules.i18n.form/2 [1.12 200404071636]
	org.netbeans.modules.editor/1 [1.14.1 200404071636]
	org.netbeans.modules.css/2 [1.1.1.3.6.0 3.6.0 200404071636]
	org.netbeans.modules.extbrowser/1 [1.3.1 200404071636]
	org.netbeans.modules.diff/1 [1.7.1 200404071636]
	org.openidex.util/2 [2.7.1 200404071636]
	org.netbeans.modules.vcscore/1 [1.9.1 200404071636]
	org.netbeans.modules.vcs.advanced/1 [1.9.1 200404071636]
	org.netbeans.lib.cvsclient/1 [1.8.1 200404071636]
	org.netbeans.modules.vcs.profiles.cvsprofiles/1 [1.3.1 200404071636]
	org.netbeans.modules.cvsclient/1 [2.0.1 200404071636]
	org.openide.deprecated [1.3.1 200404071636]
	org.netbeans.modules.servletapi24/1 [2.0.1 2.0.1 200404071636]
	org.apache.tools.ant.module/3 [3.6.1 200404071636]
	org.netbeans.modules.web.jspparser/2 [2.0.1 200404071636]
	org.netbeans.modules.xml.text/2 [1.1.1.3.6.0 3.6.0 200404071636]
	org.netbeans.modules.html/1 [1.12.1 200404071636]
	org.netbeans.modules.web.core.syntax/1 [1.13.1 200404071636]
	org.netbeans.modules.properties.syntax/1 [1.11 200404071636]
	org.netbeans.modules.xml.catalog/2 [1.1.1.3.6.0 3.6.0 200404071636]
	org.netbeans.modules.image/1 [1.11.1 200404071636]
	org.netbeans.core.deprecated [1.3.1 200404071636]
	org.netbeans.modules.projects/1 [1.14.1 200404071636]
	org.netbeans.modules.jarpackager/2 [1.14.1 200404071636]
	org.netbeans.modules.web.core/1 [1.17.1 200404071636]
	org.netbeans.modules.web.debug/1 [2.0.1 200404071636]
	org.netbeans.modules.applet/1 [1.14.1 200404071636]
	org.netbeans.modules.usersguide/1 [1.13.1 200404071636]
	org.netbeans.modules.beans/1 [1.11.1 200404071636]
	org.netbeans.modules.servletapi/1 [1.3.1 200404071636]
	org.netbeans.modules.web.taglibed/1 [1.13.1.3.6.0 200404071636]
	org.netbeans.modules.xml.tax/2 [1.1.1.3.6.0 3.6.0 200404071636]
	org.netbeans.modules.xml.tools/2 [1.1.1.3.6.0 3.6.0 200404071636]
	org.netbeans.modules.httpserver/1 [1.13.1 200404071636]
	org.netbeans.modules.utilities/1 [1.15.1 200404071636]
	org.netbeans.modules.text/1 [1.12.1 200404071636]
	org.netbeans.modules.vcs.profiles.pvcs/1 [1.3.1 200404071636]
	org.netbeans.core.windows/2 [2.0.1 200404071636]
	org.netbeans.core.ui/1 [1.3.1 200404071636]
	org.netbeans.modules.autoupdate/1 [2.8.1 200404071636]
	org.netbeans.modules.welcome/1 [1.5.1 200404071636]
	org.netbeans.core.ide/1 [1.3.1 200404071636]
	org.netbeans.modules.vcs.profiles.vss/1 [1.3.1 200404071636]
	org.netbeans.modules.group/1 [1.0.1 200404071636]
	org.netbeans.tasklistapi/1 [1.7.1.2 2 200404071636]
	org.netbeans.modules.tasklist.core/2 [1.22.1.26 6 200404071636]
	org.netbeans.modules.suggestions_framework/2 [1.2.1.265 5 200404071636]
	org.netbeans.modules.clazz/1 [1.13.1 200404071636]
	org.netbeans.modules.vcs.cmdline.compat/1 [1.3.1 200404071636]
	org.netbeans.modules.tasklist.docscan/2 [1.13.1.2653 3 200404071636]
	org.netbeans.modules.updatecenters/1 [1.0.1 200404071636]
	org.netbeans.modules.xsl/1 [1.1.1.3.6.0 3.6.0 200404071636]
	org.netbeans.modules.web.ie/1 [1.16.1 200404071636]
	org.netbeans.modules.db/1 [1.8.1 200404071636]
	org.netbeans.modules.junit/2 [2.11.1 200404071636]
	org.netbeans.modules.web.monitor/1 [1.9.1 200404071636]
[org.netbeans.core.modules #7] Warning - had to add recursive class loader
dependencies for module com.basis.nb.bbj on [org.openidex.util]; see
http://www.netbeans.org/download/dev/javadoc/OpenAPIs/org/openide/doc-files/upgrade.html#3.5i-indirect-dep-cp
[org.netbeans.core.modules #9] Warning: the module com.basis.nb.base uses
org.openide.deprecated which is deprecated: Clients of obsoleted Open APIs are
encouraged to remove this dependency. See
http://www.netbeans.org/download/dev/javadoc/OpenAPIs/org/openide/doc-files/upgrade.html#3.5i-sep-I
[org.netbeans.core.modules #9] Warning: the module com.basis.nb.gb uses
org.openide.deprecated which is deprecated: Clients of obsoleted Open APIs are
encouraged to remove this dependency. See
http://www.netbeans.org/download/dev/javadoc/OpenAPIs/org/openide/doc-files/upgrade.html#3.5i-sep-I
[org.netbeans.core.modules #9] Warning: the module com.basis.nb.bbj uses
org.openide.deprecated which is deprecated: Clients of obsoleted Open APIs are
encouraged to remove this dependency. See
http://www.netbeans.org/download/dev/javadoc/OpenAPIs/org/openide/doc-files/upgrade.html#3.5i-sep-I
[org.netbeans.core.modules #9] Warning: the module FormBuilder uses
org.openide.deprecated which is deprecated: Clients of obsoleted Open APIs are
encouraged to remove this dependency. See
http://www.netbeans.org/download/dev/javadoc/OpenAPIs/org/openide/doc-files/upgrade.html#3.5i-sep-I
Installing new module: BBj Base
Installing new module: BBj Editor/Debugger Support
Turning on modules:
	com.basis.nb.base/1 [0.5 0.5]
	com.basis.nb.gb [0.5 0.5]
	com.basis.nb.bbj/1 [0.5 0.5]
	FormBuilder [0.2 0.2]
	com.basis.nb.datadictionary/1 [0.5 0.5]
Initial slashes in Utilities.loadImage deprecated (cf. #20072):
/org/openide/resources/actions/execute.gif
Initial slashes in Utilities.loadImage deprecated (cf. #20072):
/com/basis/nb/bbj/resources/basis-b16.gif
Note - com.basis.nb.datadictionary.DataDictionaryExplorer ought to override
getPersistenceType() rather than using the client property or accepting the default.
Warning - com.basis.nb.datadictionary.MountDictionaryAction should override
CallableSystemAction.asynchronous() to return false
Serializable class com.basis.nb.datadictionary.DataDictionaryModuleSettings does
not declare serialVersionUID field. Encountered while storing:
[org.openide.util.SharedClassObject$WriteReplace] See also
http://www.netbeans.org/issues/show_bug.cgi?id=19915
Serializable class com.basis.database.GeneralDatabaseProperties does not declare
serialVersionUID field. Encountered while storing:
[org.openide.util.SharedClassObject$WriteReplace,
com.basis.nb.datadictionary.DataDictionaryModuleSettings,
org.openide.options.SystemOption, org.openide.util.SharedClassObject,
java.util.ArrayList] See also http://www.netbeans.org/issues/show_bug.cgi?id=19915
Note - com.basis.nb.datadictionary.TableEditPanel ought to override
getPersistenceType() rather than using the client property or accepting the default.
*********** Exception occurred ************ at Tue Apr 12 16:11:40 EDT 2005
java.lang.NullPointerException
	at com.basis.nb.datadictionary.TableEditPanel.onUpdate(TableEditPanel.java:107)
	at com.basis.database.TableDefinition.fireDefinitionUpdate(TableDefinition.java:22)
	at
com.basis.database.bbx.LocalBBxTableDefinition.update(LocalBBxTableDefinition.java:3)
	at
com.basis.nb.datadictionary.SaveTableDesignCookie.save(SaveTableDesignCookie.java:13)
	at org.openide.actions.SaveAction.performAction(SaveAction.java:41)
	at org.openide.util.actions.NodeAction.performAction(NodeAction.java:193)
	at
org.openide.util.actions.CallableSystemAction$1.run(CallableSystemAction.java:78)
	at
org.openide.util.actions.CallableSystemAction.doPerformAction(CallableSystemAction.java:116)
	at
org.openide.util.actions.CallableSystemAction.actionPerformed(CallableSystemAction.java:76)
	at org.openide.util.actions.NodeAction.actionPerformed(NodeAction.java:184)
	at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1786)
	at
javax.swing.AbstractButton$ForwardActionEvents.actionPerformed(AbstractButton.java:1839)
	at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:420)
	at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:258)
	at
javax.swing.plaf.basic.BasicButtonListener.mouseReleased(BasicButtonListener.java:245)
	at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:231)
	at java.awt.Component.processMouseEvent(Component.java:5100)
	at org.openide.awt.ToolbarButton.processMouseEvent(ToolbarButton.java:29)
	at java.awt.Component.processEvent(Component.java:4897)
	at java.awt.Container.processEvent(Container.java:1569)
	at java.awt.Component.dispatchEventImpl(Component.java:3615)
	at java.awt.Container.dispatchEventImpl(Container.java:1627)
	at java.awt.Component.dispatchEvent(Component.java:3477)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:3483)
	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:3198)
	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:3128)
	at java.awt.Container.dispatchEventImpl(Container.java:1613)
	at java.awt.Window.dispatchEventImpl(Window.java:1606)
	at java.awt.Component.dispatchEvent(Component.java:3477)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:456)
[catch] at
java.awt.EventDispatchThread.pumpOneEventForHierarchy(EventDispatchThread.java:201)
	at
java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:151)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:145)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:137)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:100)
Comment 1 Marian Mirilovic 2006-10-27 14:13:39 UTC
Please report this issue directly to module owner :
http://www.basis.com/


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo